Bug 89049 - ALi M5451 doesn't work
Summary: ALi M5451 doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-16 21:40 UTC by bruno diaz
Modified: 2007-03-27 04:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-14 18:09:39 UTC


Attachments (Terms of Use)
Found patch that solves problem (881 bytes, patch)
2003-04-26 21:19 UTC, Kevin J. Miller
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:172 normal SHIPPED_LIVE : Updated 2.4 kernel fixes security vulnerabilities and various bugs 2003-09-05 04:00:00 UTC

Description bruno diaz 2003-04-16 21:40:23 UTC
Description of problem:
I've installed redhat linux 9 on my laptop toshiba satellite 1805 s274, and
redhat detects a sound card ALi M5451 but fails when tries to load the modules.
Before redhat I was using Mandrake 9 and the sound was working okay. What can I
do to make the sound work?

Version-Release number of selected component (if applicable):


How reproducible:
use sndconfig

Steps to Reproduce:
1.test the soundcard detected

Actual results:
no sound

Expected results:
sound

Additional info:

Comment 1 Kevin J. Miller 2003-04-20 21:47:37 UTC
I have the same problem.  It worked under Red Hat 8 (and 7.[123]).  I
reinstalled 8 and noticed that the video driver selected was VESA with a 16 bit
color map.  Reh Hat 9 selected a Trident video driver with a 24 bit color map. 
Both 8 and 9 selectecd the same sound module.  They both share IRQ 11, so I
wonder if there is a conflict?

Comment 2 Kevin J. Miller 2003-04-26 21:19:09 UTC
Created attachment 91313 [details]
Found patch that solves problem

I found this bug/patch to the 2.5 kernel:

    http://bugme.osdl.org/show_bug.cgi?id=375

I applied the patch to drivers/sound/trident.c, built and installed a new
kernel, and now sound works.

Comment 3 David Sterratt 2003-04-28 12:42:10 UTC
Is this patch going to be incorporated into an kernel update for RH9?  If it's
coming out soonish, I won't bother recompiling.  

Comment 4 Arjan van de Ven 2003-04-30 13:03:12 UTC
I will put up a kernel soonish; need to merge other stuff too


Comment 5 Arjan van de Ven 2003-05-14 18:09:39 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-172.html



Note You need to log in before you can comment on or make changes to this bug.